#
# spec file for package xpvm (Version 1.2.5)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tk pvm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xpvm
Release:      0
Copyright:    (C) 1994 Oak Ridge National Laboratory, Oak Ridge TN.
Group: 
Provides:     XPVM.src.1.2.5 xpvm 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.2.5
Summary:      A graphical console and monitor for PVM
Source0:  XPVM.src.1.2.5.tgz
Source1:  XPVM.ug.ps.Z
Patch:    XPVM.src.1.2.5.dif
%description
XPVM is a graphical console and monitor for PVM. It provides a
graphical interface to the PVM console commands and information,
along with several animated views to monitor the execution of PVM
programs. These views provide information about the interactions
among tasks in a parallel PVM program, to assist in debugging and
performance tuning.

Authors:
--------
    James Arthur Kohl <kohl@msr.epm.ornl.gov>
    G. A. Geist

%prep
%setup -n xpvm
%patch
%build
export XPVM_ROOT=$RPM_BUILD_DIR/xpvm
export PVM_ROOT=/usr/lib/pvm3
export PVM_ARCH=LINUX
export TCL_LIBRARY=/usr/lib/tcl7.6
export TK_LIBRARY=/usr/X11R6/lib/tk4.2
make
%install
install -m 0755 $RPM_BUILD_DIR/xpvm/src/LINUX/xpvm /usr/X11R6/bin
LIBDIR=/usr/X11R6/lib/xpvm
install -d -m 755 $LIBDIR
install -d -m 755 $LIBDIR/src
install -d -m 755 $LIBDIR/src/xbm
install -d -m 755 $LIBDIR/src/help
install -m 0644 $RPM_BUILD_DIR/xpvm/*.tcl $LIBDIR
install -m 0644 $RPM_BUILD_DIR/xpvm/src/xbm/*.xbm $LIBDIR/src/xbm
install -m 0644 $RPM_BUILD_DIR/xpvm/src/help/*.help $LIBDIR/src/help
DOCDIR=/usr/doc/packages/xpvm
install -d -m 755 $DOCDIR
install -m 0444 $RPM_SOURCE_DIR/XPVM.ug.ps.Z $DOCDIR
install -m 0444 $RPM_BUILD_DIR/xpvm/README $DOCDIR
Check
%files
/usr/X11R6/bin/xpvm
/usr/X11R6/lib/xpvm
%docdir /usr/doc/packages/xpvm
%doc /usr/doc/packages/xpvm/XPVM.ug.ps.Z
%doc /usr/doc/packages/xpvm/README

